Bug 868534 - perl6 fails at start
perl6 fails at start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rakudo-star (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Gerd Pokorra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 13:26 EDT by Horst H. von Brand
Modified: 2013-02-09 23:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-09 23:39:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2012-10-20 13:26:45 EDT
Description of problem:
Running perl6, even without doing anything, gives:

PARROT VM: Could not load bytecode
Could not load oplib `nqp_ops'

Version-Release number of selected component (if applicable):
rakudo-star-0.0.2012.08_4.7.0-2.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. perl6 -e 'say "Hello"'
2.
3.
  
Actual results:
PARROT VM: Could not load bytecode
Could not load oplib `nqp_ops'

Expected results:
Say Hello ;-)

Additional info:
Comment 1 Daniel Berrange 2013-01-24 09:00:55 EST
Still a problem in Fedora 18. That you can't even run hello world, seems like a pretty good illustration that no one is using or maintaining Perl6 in Fedora
Comment 2 Daniel Berrange 2013-01-24 09:37:23 EST
What do you know - 'yum install nqp' fixes the problem - the rakudo-star RPM spec is obviously missing a "Requires: nqp" statement.
Comment 3 Gerd Pokorra 2013-01-25 10:23:51 EST
This is correct. A "Requires: nqp" statement would solve this dependency. I will add this to next rakudo-star version, that I expect soon on top of Parrot 5.0 and NQP 2013.01.
Comment 4 Gerd Pokorra 2013-01-31 11:55:06 EST
Today I built the new package of rakudo-star for F18 and F19 (rawhide). It is in the update-testing stream. The "Requires nqp" statement is added. Can I close the ticket?
Comment 5 Gerd Pokorra 2013-01-31 11:57:11 EST
> bodhi rakudo-star
 rakudo-star-0.0.2013.01_5.0.0-1.fc18         enhancement  pending   2013-01-31 
 rakudo-star-0.0.2012.08_4.7.0-2.fc17         bugfix       stable    2012-09-07 
 rakudo-star-0.0.2012.08_4.7.0-2.fc18         bugfix       stable    2012-09-05
Comment 6 Daniel Berrange 2013-01-31 12:01:14 EST
FYI, if you add the bug number to the Bohdi update, it will get automatically closed when it lands in the updates repo.
Comment 7 Fedora Update System 2013-02-02 07:47:17 EST
rakudo-star-0.0.2013.01_5.0.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-1721/rakudo-star-0.0.2013.01_5.0.0-1.fc18
Comment 8 Fedora Update System 2013-02-09 23:39:12 EST
rakudo-star-0.0.2013.01_5.0.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.